#include<iostream>
#include<cmath>
using namespace std;

int main(){
	//get the number of schedule items and budget amount
	int n=0, B=0;
	cin >> n >> B;
	//get the quantity regions
	int* q = new int[n];
	for(int i=0; i<n; i++)
		cin >> q[i];
	//get the unit prices of region	
	int* p = new int[n];
	for(int i=0; i<n; i++)
		cin >> p[i];
	//current lower/upper bound, default with 0
	int lower = 0, upper = 0;
	//budget amount left, units have purchased
	int budgetLeft = B, quantity = 0;
	for(int i=0; i<n; i++){
		upper = q[i];
		int unit = upper-lower;
		if( unit*p[i] < budgetLeft ){
			quantity += unit;
			budgetLeft -= unit*p[i];
		}
		else{
			//get integer quotient (will be the floor of the division)
			unit = budgetLeft/p[i] ;
			quantity += unit;
			budgetLeft -= unit*p[i];
			break;
		}
		lower = q[i];
	}
	cout << quantity << " " << B-budgetLeft << endl;
}
